Vai al contenuto

Get product counters as aggregated for a consumer based on related consumer associated to given organization.

Richiesta

Security policies: OrganizationsCountersView

Sicurezza
OpenIdConnect
Percorso
idstringobbligatorio

The identifier of the organization which associated consumer should be used as parent consumer filter for given child consumer aggregated counters.

consumerIdstringobbligatorio

The consumer identifier for which aggregated counters are desired.

Query
productIdstringobbligatorio

The product identifier for which consumer's aggregated counters should be filtered.

metricIdstringobbligatorio

The list of metric identifiers for which consumer's aggregated counters should be filtered. Is JSON array format.

legalEntityIdstring

The legal entity identifier for which consumer's aggregated consumcountersptions should be filtered.

rootPathstring

The root path for which consumer's aggregated counters should be filtered (activated with strict at true).

yearinteger, (int32)obbligatorio

The year for which consumer's aggregated counters should be filtered.

attributeIdstring

The attribute identifier for which consumer's aggregated counters should be filtered.

strictboolean

Boolean which defines whether or not to strictly activate given filter params. (Default: false)

integratorIdstring

The integrator identifier for which aggregated counters are desired (activated with strict at true).

ownerboolean

Boolean which defines whether only counters directly owned by provided consumerId should be returned (activated with strict at true). (Default: false)

legalEntityModeboolean
GET
/v1/organizations/{id}/counters-aggregated/consumers/{consumerId}
curl -i -X GET \
  '/v1/organizations/{id}/counters-aggregated/consumers/{consumerId}?productId=string&metricId=string&legalEntityId=string&rootPath=string&year=0&attributeId=string&strict=true&integratorId=string&owner=true&legalEntityMode=true' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Risposte

OK

Corpoapplication/json
consumerIdstring
productIdstring
attributeIdstring
countersArray of objects(CounterAggregatedDto)
metricInfosArray of objects(MetricInfo)
Risposta
{ "consumerId": "string", "productId": "string", "attributeId": "string", "counters": [ { … } ], "metricInfos": [ { … } ] }